Skip site navigation (1) Skip section navigation (2)

Re: wxWidgets/pgAdmin3 conforms to section 508 accessibility requirements?

From: Dave Page <dpage(at)postgresql(dot)org>
To: Dhanaraj(dot)M(at)sun(dot)com
Cc: pgadmin-hackers(at)postgresql(dot)org
Subject: Re: wxWidgets/pgAdmin3 conforms to section 508 accessibility requirements?
Date: 2006-12-21 08:15:19
Message-ID: 458A4297.8050406@postgresql.org (view raw or flat)
Thread:
Lists: pgadmin-hackers
Dhanaraj M wrote:
> Hi Dave
> 
> I like to know whether wxWidgets/pgAdmin3 conforms to section 508 
> accessibility requirements
> for handicapped persons (blind, partialy sighted, limited use of hands, 
> etc.)

I have no idea what section 508 requirements are. Don't forget, I'm 
based in the UK where the law is very different.

> pgadmin3-1.6.1/xtra/wx-build/setup0-msw-2.8.h
> #define wxUSE_ACCESSIBILITY 0
> 
> Is this feature disabled in pgadmin3?

Looks like it. I didn't even know that such an option existed though.

> In case pgadmin3 supports this features, does it support in Solaris also?
> (I read that Windows completely supports this feature, whereas *nix 
> partially supports.)
> Is there any online documents that I can look at?

A quick google shows http://www.wxwidgets.org/docs/access.htm. Perhaps 
you could do some research and see what we may need to do to improve 
pgAdmin? I'm afraid I'm unlikely to find time for this in the near future.

Regards, Dave.

In response to

pgadmin-hackers by date

Next:From: Dave PageDate: 2006-12-21 12:42:29
Subject: Re: Localization of the Documentation into pt-BR
Previous:From: Dave PageDate: 2006-12-21 08:09:19
Subject: Re: Localization of the Documentation into pt-BR

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group